///Class_Head_Greetings///
  
class head
{
  init()
{
  this.logo = loadModel('assets/visage_1.obj',true)
  this.back = loadImage ('assets/flare.PNG')
  this.greet = loadImage('assets/greets3.png')
}
FX()
{
  texture(this.back)
  
  translate(0,0,-300)
  noStroke();
  blendMode(SCREEN)
  plane(1800-(600*sin(millis ()/400)))
  plane(1400-(100*sin(millis ()/600)))
  
  push();
  
  ambientLight(0,55,55);
  directionalLight(255, 0, 111, 0.25, 0.25, 0);
  //directionalLight(15, 0, 71, -0.25, -0.25, 0);
  translate(-350,0,100)
  
  push()
  
  blendMode(BLEND)
  translate(250,0,0)
  noStroke();
  rotateX(0)
  scale(-2);
  rotateY(millis() /1000);
  specularMaterial(250);
  model(this.logo);
  
  push()
  blendMode(SCREEN)
  scale(-1)
  texture(this.greet)
  rotateZ(millis() /2000);
  rotateY(millis() /12000);
  rotateX(millis() /10000);
  box(300)
  pop();
 
  pop();
    
    }
}